# Uses of Class
javax.net.ssl.SSLSocket

Packages that use SSLSocket
Package
Description
javax.net.ssl
Provides classes for the secure socket package.

## Uses of SSLSocket in javax.net.ssl

Methods in javax.net.ssl that return SSLSocket
Modifier and Type
Method
Description
`SSLSocket`
HandshakeCompletedEvent.`getSocket()`
Returns the socket which is the source of this event.
Methods in javax.net.ssl that return types with arguments of type SSLSocket
Modifier and Type
Method
Description
`BiFunction<SSLSocket,List<String>,String>`
SSLSocket.`getHandshakeApplicationProtocolSelector()`
Retrieves the callback function that selects an application protocol value during a SSL/TLS/DTLS handshake.
Method parameters in javax.net.ssl with type arguments of type SSLSocket
Modifier and Type
Method
Description
`void`
SSLSocket.`setHandshakeApplicationProtocolSelector(BiFunction<SSLSocket,List<String>,String> selector)`
Registers a callback function that selects an application protocol value for a SSL/TLS/DTLS handshake.
Constructors in javax.net.ssl with parameters of type SSLSocket
Modifier
Constructor
Description
``
`HandshakeCompletedEvent(SSLSocket sock, SSLSession s)`
Constructs a new HandshakeCompletedEvent.